Create a free digital business card, then share it by link, QR code, or NFC tap.

Cards

Endpoint

GET https://zapped.to/api/vcards/

Authentication

An API key with the vcards:read scope (Read cards), sent as Authorization: Bearer YOUR_API_KEY.

Example

curl --request GET \
--url 'https://zapped.to/api/vcards/' \
--header 'Authorization: Bearer YOUR_API_KEY' \
Parameters Details Description
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: url, name.
is_enabled Optional Boolean
project_id Optional Integer
domain_id Optional Integer
pixels_ids Optional Integer
datetime_field Optional String Allowed values: datetime, last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: vcard_id, datetime, last_datetime, pageviews, url, name.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.

Response example

{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "domain_id": 0,
            "project_id": 0,
            "pixels_ids": [],
            "url": "example",
            "full_url": "https://zapped.to/example/",
            "name": "Example",
            "description": "This is just a simple description for the example vcard 👋.",
            "settings": {
                "is_share_button_visible": true,
                "is_download_button_visible": true,
                "background_type": "preset",
                "background_color": "#ffffff"
            },
            "password": false,
            "timezone": null,
            "theme": "boston",
            "custom_js": "",
            "custom_css": "",
            "pageviews": 50,
            "is_se_visible": true,
            "is_removed_branding": false,
            "is_enabled": true,
            "datetime": "2026-10-18 09:05:01"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://zapped.to/api/vcards?page=1",
        "last": "https://zapped.to/api/vcards?page=1",
        "next": null,
        "prev": null,
        "self": "https://zapped.to/api/vcards?page=1"
    }
}

Endpoint

GET https://zapped.to/api/vcards/{vcard_id}

Authentication

An API key with the vcards:read scope (Read cards), sent as Authorization: Bearer YOUR_API_KEY.

Example

curl --request GET \
--url 'https://zapped.to/api/vcards/{vcard_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \

Response example

{
    "data": {
        "id": 1,
        "user_id": 1,
        "domain_id": 0,
        "project_id": 0,
        "pixels_ids": [],
        "url": "example",
        "full_url": "https://zapped.to/example/",
        "name": "Example",
        "description": "This is just a simple description for the example vcard 👋.",
        "settings": {
            "is_share_button_visible": true,
            "is_download_button_visible": true,
            "background_type": "preset",
            "background_color": "#ffffff"
        },
        "password": false,
        "timezone": null,
        "theme": "boston",
        "custom_js": "",
        "custom_css": "",
        "pageviews": 50,
        "is_se_visible": true,
        "is_removed_branding": false,
        "is_enabled": true,
        "datetime": "2026-10-18 09:05:01"
    }
}